Subject: Re: [PATCH v2 04/12] refs: implement simple transactions for the packed-refs file

From: Michael Haggerty <[email-masked]>
Date: Thu, 20 Jun 2013 19:58:15 +0200

On 06/20/2013 07:11 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> But currently only the main packed ref cache can be locked, so it would
>> be possible for lock_packed_refs() to use the static packlock instance
>> for locking.
> 
> Perhaps I am missing something from the previous discussions, but I
> am having trouble understanding the "main packed ref cache" part of
> the above.  "main" as opposed to...?

"main" as opposed to "submodule".

> Is it envisioned that later
> somebody can lock one subpart while another can lock a different and
> non-overlapping subpart, to make changes independently, and somehow
> their non-overlapping changes will be consolidated into a single
> consistent result?

No, the scenario would be that a git process wants to change a reference
in a submodule directly, as opposed to starting another git process
within the submodule, as I believe is done now.  Maybe it's too
far-fetched even to consider...

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/